EasyMod alpha2 0.0.7 released

This forum is now closed as part of retiring phpBB2.
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

This forum is now closed due to phpBB2.0 being retired.
Locked
thinkfire
Registered User
Posts: 11
Joined: Thu Jan 16, 2003 4:41 am

Post by thinkfire » Mon Jan 20, 2003 6:48 am

my bad, forgot to make it recursive

thinkfire
Registered User
Posts: 11
Joined: Thu Jan 16, 2003 4:41 am

Post by thinkfire » Mon Jan 20, 2003 7:07 am

ok I got it to install and everything

I found admin_mod_install.php and patched it as you said

I could not find the other two files though....did something go wrong with the installation? I found those files with plus a .txt extension

this is what I get when I try to process a mod

The requested URL /forums/forums/admin/admin_mod_install.php was not found on this server.

problem is this file is at /forums/admin/admin_mod_install.php NOT /forums/forums/admin/admin_mod_install.php

I dont know enough about coding yet to fix this myself, seems like it would be an easy fix though

thinkfire
Registered User
Posts: 11
Joined: Thu Jan 16, 2003 4:41 am

Post by thinkfire » Mon Jan 20, 2003 7:26 am

alright alright alright....I figured it out....all working smoothly for 2.0.4 now


you might want to specify in your post that those two tpl files are in the /templates/{templatename} directory

thinkfire
Registered User
Posts: 11
Joined: Thu Jan 16, 2003 4:41 am

Post by thinkfire » Mon Jan 20, 2003 7:28 am

lol now I got a new problem, and I know for sure this one is out of my reach

I clicked on the left/right mod and clicked process

I clicked on perform db alteration

and get this...

bbcode.php : Could not find [$patterns[5] =$replacements[5] =]

if you perform a DB operation on the flags one, then you get this

usercp_register.php : Could not find [$location = htmlspecialchars($userdata['user_from']);]

netclectic
Former Team Member
Posts: 4439
Joined: Wed Mar 13, 2002 3:08 pm
Location: Omnipresent
Contact:

Post by netclectic » Mon Jan 20, 2003 8:04 am

That's because the mods included with easymod have not been updated for 2.0.4 yet. Go find a 2.0.4 compatible mod and it should work ok.
Defend the game:
Image

Paul Saulnier
Registered User
Posts: 11
Joined: Tue Jan 07, 2003 8:56 pm

Post by Paul Saulnier » Tue Jan 28, 2003 3:53 pm

juliekate wrote: Thanks. I'll give it a whirl :)

edit

I just installed this - getting a slew of these

Code: Select all

Warning: Call-time pass-by-reference has been deprecated - argument passed by value; If you would like to pass it by reference, modify the declaration of [runtime function name](). If you would like to enable call-time pass-by-reference, you can set allow_call_time_pass_reference to true in your INI file. However, future versions may not support this any longer. in /home/sites/site82/web/ours/board/admin/mods/EasyMod/easymod_install_0-0-7.php on line 160
It's performing the install, no errors on anything else and I see the link...there's about 30-40 of these errors above calling different lines.

In a previous release (I searched) Nuttzy says this would be fixed in a future release - that was back in May.

Here are the snips of code:

Code: Select all

 line 160
function wrapper_find( $read_list, $write_list, $find_array, $search_array)
{
	echo "<b>Finding:</b> " ;
	$stmp = '' ;
	for ( $i=0; $i<count($search_array); $i++)
	{
		$stmp .= $search_array[$i] . "<br>" ;
		echo htmlspecialchars($search_array[$i]) . "<br>" ;
	}

	if (!perform_find( &$read_list, &$write_list, &$find_array, &$search_array))
	{
		echo "includes/constants.php: Could not find:<br>" . $stmp . "\n" ;
		exit ;
	}
}

Code: Select all

 line 181-187
if ( $where == 'before')
	{
		write_files( &$write_list, $insert_string) ;
		write_find_array( &$find_array, &$write_list) ;
	}
	else if ( $where == 'after')
	{
		write_find_array( &$find_array, &$write_list) ;
		write_files( &$write_list, $insert_string) ;
	}
	$insert = array() ;
}
[edit again] It seems it is giving this error on almost every instance of &$write_list in the PHP.


I am having this same problem. I don't have the ability to edit the php.ini file. Is there a version of EasyMod with this problem solved?

User avatar
morpheus2matrix
Former Team Member
Posts: 9171
Joined: Wed Apr 10, 2002 7:31 pm
Location: France
Contact:

Post by morpheus2matrix » Tue Jan 28, 2003 4:46 pm

which version of EasyMod are you running ?
Former phpBB MOD-Team Member -

Forgive my bad English :(

No support by PM/Email - Thanks - You can thanks me here :) - Pay me for installing MOD's :lol:

Paul Saulnier
Registered User
Posts: 11
Joined: Tue Jan 07, 2003 8:56 pm

Post by Paul Saulnier » Tue Jan 28, 2003 4:52 pm

I am running the latest. .7 I beleive. I just downloaded it yesterday.

User avatar
morpheus2matrix
Former Team Member
Posts: 9171
Joined: Wed Apr 10, 2002 7:31 pm
Location: France
Contact:

Post by morpheus2matrix » Tue Jan 28, 2003 5:09 pm

and which version of phpBB ?
Former phpBB MOD-Team Member -

Forgive my bad English :(

No support by PM/Email - Thanks - You can thanks me here :) - Pay me for installing MOD's :lol:

Paul Saulnier
Registered User
Posts: 11
Joined: Tue Jan 07, 2003 8:56 pm

Post by Paul Saulnier » Tue Jan 28, 2003 5:15 pm

Also the latest, with some mods installed.

HOWEVER, I beleive this problem is with the php.ini file, or EasyMOD itself based on the error message. I think the coding needs to be updated or something.

User avatar
morpheus2matrix
Former Team Member
Posts: 9171
Joined: Wed Apr 10, 2002 7:31 pm
Location: France
Contact:

Post by morpheus2matrix » Tue Jan 28, 2003 5:17 pm

yes, i think also that the EasyMod need to be update : a lot of members seems to have problems to install it on phpBB 2.0.4
Former phpBB MOD-Team Member -

Forgive my bad English :(

No support by PM/Email - Thanks - You can thanks me here :) - Pay me for installing MOD's :lol:

Novice_Gamer
Registered User
Posts: 101
Joined: Wed Oct 16, 2002 8:38 am
Location: noviceguild.com
Contact:

Post by Novice_Gamer » Fri Jan 31, 2003 12:31 am

Information
Database type :: mysql
phpBB version :: 2.0.3
EasyMod version :: 0.0.7

Processing files
Parsing: includes/constants.php - NOTE: this file is not being altered in any way
Finding: ?>
Insert before:
// EASYMOD-start
define('EASYMOD_TABLE', $table_prefix.'easymod');
// EASYMOD-end

Parsing: language/lang_english/lang_admin.php - NOTE: this file is not being altered in any way

language/lang_english/lang_admin.php: Cannot open file for reading.
Current working dir: /home/sites/www.noviceguild.com/web/forum/admin/mods/EasyMod
:evil: :evil: :evil:
chmod 777 -grr it aint working
can i have my ava privl back?
My Site ~Elite Gamer Guild ~

Noghri_ViR
Registered User
Posts: 77
Joined: Sun Jan 20, 2002 7:36 am
Location: Salem OR
Contact:

Post by Noghri_ViR » Fri Jan 31, 2003 7:38 am

Hey Nuttzy99, is the chmod security hole still there? (yea I didn't want to go through all the pages :( )

User avatar
morpheus2matrix
Former Team Member
Posts: 9171
Joined: Wed Apr 10, 2002 7:31 pm
Location: France
Contact:

Post by morpheus2matrix » Fri Jan 31, 2003 5:39 pm

@ Novice_Gamer : have you the file language/lang_english/lang_admin.php upload onto your ftp server ?
Former phpBB MOD-Team Member -

Forgive my bad English :(

No support by PM/Email - Thanks - You can thanks me here :) - Pay me for installing MOD's :lol:

User avatar
Bozzy
Registered User
Posts: 110
Joined: Thu Aug 01, 2002 8:03 pm
Location: Columbia, MD
Contact:

Post by Bozzy » Fri Jan 31, 2003 8:18 pm

I got the following error:
Finding: name="addbbcode18"
includes/constants.php: Could not find:
name="addbbcode18"


I have am using 2.0.3, and have not installed any bbcode mods. What's causing this?

Locked

Return to “[2.0.x] MOD Writers Discussion”